Please remove php-horde and php-horde-* from focal

Bug #1868281 reported by Bryce Harrington on 2020-03-20
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
php-horde (Ubuntu)
Undecided
Łukasz Zemczak
Focal
Undecided
Unassigned

Bug Description

The PHP Horde stack has been orphaned in Debian[1], and we don't see a lot of usage. However, the packages break when we transition to new php and phpunit releases, which has necessitated efforts in Ubuntu to port them to new language and testing features[2].

PHP Horde consists of over a hundred separate packages, many of which are wrappers or adapters for other software in the stack, so even aside from php and phpunit changes these packages can pop up as broken due to changes elsewhere in the stack.

Please remove source and binaries for php-horde and all php-horde-* packages.

1: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942282
2: https://lists.ubuntu.com/archives/ubuntu-server/2020-March/008220.html

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-activesync 2.40.0-1ubuntu1 in focal
  php-horde-activesync 2.40.0-1ubuntu1 in focal amd64
  php-horde-activesync 2.40.0-1ubuntu1 in focal arm64
  php-horde-activesync 2.40.0-1ubuntu1 in focal armhf
  php-horde-activesync 2.40.0-1ubuntu1 in focal i386
  php-horde-activesync 2.40.0-1ubuntu1 in focal ppc64el
  php-horde-activesync 2.40.0-1ubuntu1 in focal s390x
Comment: tests fail with php7.4, no fix available in Debian, blocks transition; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-kolab-session 2.0.3-3ubuntu2 in focal
  php-horde-kolab-session 2.0.3-3ubuntu2 in focal amd64
  php-horde-kolab-session 2.0.3-3ubuntu2 in focal arm64
  php-horde-kolab-session 2.0.3-3ubuntu2 in focal armhf
  php-horde-kolab-session 2.0.3-3ubuntu2 in focal i386
  php-horde-kolab-session 2.0.3-3ubuntu2 in focal ppc64el
  php-horde-kolab-session 2.0.3-3ubuntu2 in focal s390x
Comment: tests fail with php7.4, no fix available in Debian, blocks transition; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-kolab-storage 2.2.3-1ubuntu1 in focal
  php-horde-kolab-storage 2.2.3-1ubuntu1 in focal amd64
  php-horde-kolab-storage 2.2.3-1ubuntu1 in focal arm64
  php-horde-kolab-storage 2.2.3-1ubuntu1 in focal armhf
  php-horde-kolab-storage 2.2.3-1ubuntu1 in focal i386
  php-horde-kolab-storage 2.2.3-1ubuntu1 in focal ppc64el
  php-horde-kolab-storage 2.2.3-1ubuntu1 in focal s390x
Comment: tests fail with php7.4, no fix available in Debian, blocks transition; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-pdf 2.0.7-3ubuntu1 in focal
  php-horde-pdf 2.0.7-3ubuntu1 in focal amd64
  php-horde-pdf 2.0.7-3ubuntu1 in focal arm64
  php-horde-pdf 2.0.7-3ubuntu1 in focal armhf
  php-horde-pdf 2.0.7-3ubuntu1 in focal i386
  php-horde-pdf 2.0.7-3ubuntu1 in focal ppc64el
  php-horde-pdf 2.0.7-3ubuntu1 in focal s390x
Comment: tests fail with php7.4, no fix available in Debian, blocks transition; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

I've removed the ones that currently have failing tests and have no reverse dependencies. Some help here on analyzing the remainder for prioritization of removals in reverse-dependency-order would be helpful.

Bryce Harrington (bryce) wrote :

Here is a list of packages organized by dependency level. Level 0 is things that should have no additional rdepends, then level 1 and so on.

Bryce Harrington (bryce) wrote :

The script I wrote to generate this listing is attached. It should generate the same listing if run on any system.

If there's any flaws in its logic, please let me know so I can correct mine.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-elasticsearch 1.0.4-4 in focal
  php-horde-elasticsearch 1.0.4-4 in focal amd64
  php-horde-elasticsearch 1.0.4-4 in focal arm64
  php-horde-elasticsearch 1.0.4-4 in focal armhf
  php-horde-elasticsearch 1.0.4-4 in focal i386
  php-horde-elasticsearch 1.0.4-4 in focal ppc64el
  php-horde-elasticsearch 1.0.4-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-text-filter-jsmin 1.0.2-5ubuntu1 in focal
  php-horde-text-filter-jsmin 1.0.2-5ubuntu1 in focal amd64
  php-horde-text-filter-jsmin 1.0.2-5ubuntu1 in focal arm64
  php-horde-text-filter-jsmin 1.0.2-5ubuntu1 in focal armhf
  php-horde-text-filter-jsmin 1.0.2-5ubuntu1 in focal i386
  php-horde-text-filter-jsmin 1.0.2-5ubuntu1 in focal ppc64el
  php-horde-text-filter-jsmin 1.0.2-5ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-passwd 5.0.7-1ubuntu1 in focal
  php-horde-passwd 5.0.7-1ubuntu1 in focal amd64
  php-horde-passwd 5.0.7-1ubuntu1 in focal arm64
  php-horde-passwd 5.0.7-1ubuntu1 in focal armhf
  php-horde-passwd 5.0.7-1ubuntu1 in focal i386
  php-horde-passwd 5.0.7-1ubuntu1 in focal ppc64el
  php-horde-passwd 5.0.7-1ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-javascriptminify-jsmin 1.0.2-5ubuntu1 in focal
  php-horde-javascriptminify-jsmin 1.0.2-5ubuntu1 in focal amd64
  php-horde-javascriptminify-jsmin 1.0.2-5ubuntu1 in focal arm64
  php-horde-javascriptminify-jsmin 1.0.2-5ubuntu1 in focal armhf
  php-horde-javascriptminify-jsmin 1.0.2-5ubuntu1 in focal i386
  php-horde-javascriptminify-jsmin 1.0.2-5ubuntu1 in focal ppc64el
  php-horde-javascriptminify-jsmin 1.0.2-5ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-ansel 3.0.8+debian0-1ubuntu2 in focal
  php-horde-ansel 3.0.8+debian0-1ubuntu2 in focal amd64
  php-horde-ansel 3.0.8+debian0-1ubuntu2 in focal arm64
  php-horde-ansel 3.0.8+debian0-1ubuntu2 in focal armhf
  php-horde-ansel 3.0.8+debian0-1ubuntu2 in focal i386
  php-horde-ansel 3.0.8+debian0-1ubuntu2 in focal ppc64el
  php-horde-ansel 3.0.8+debian0-1ubuntu2 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-test 2.6.3+debian0-4ubuntu1 in focal
  php-horde-test 2.6.3+debian0-4ubuntu1 in focal amd64
  php-horde-test 2.6.3+debian0-4ubuntu1 in focal arm64
  php-horde-test 2.6.3+debian0-4ubuntu1 in focal armhf
  php-horde-test 2.6.3+debian0-4ubuntu1 in focal i386
  php-horde-test 2.6.3+debian0-4ubuntu1 in focal ppc64el
  php-horde-test 2.6.3+debian0-4ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-feed 2.0.4-3ubuntu1 in focal
  php-horde-feed 2.0.4-3ubuntu1 in focal amd64
  php-horde-feed 2.0.4-3ubuntu1 in focal arm64
  php-horde-feed 2.0.4-3ubuntu1 in focal armhf
  php-horde-feed 2.0.4-3ubuntu1 in focal i386
  php-horde-feed 2.0.4-3ubuntu1 in focal ppc64el
  php-horde-feed 2.0.4-3ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-webmail 5.2.22-4 in focal
  php-horde-webmail 5.2.22-4 in focal amd64
  php-horde-webmail 5.2.22-4 in focal arm64
  php-horde-webmail 5.2.22-4 in focal armhf
  php-horde-webmail 5.2.22-4 in focal i386
  php-horde-webmail 5.2.22-4 in focal ppc64el
  php-horde-webmail 5.2.22-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-service-weather 2.5.4-1ubuntu1 in focal
  php-horde-service-weather 2.5.4-1ubuntu1 in focal amd64
  php-horde-service-weather 2.5.4-1ubuntu1 in focal arm64
  php-horde-service-weather 2.5.4-1ubuntu1 in focal armhf
  php-horde-service-weather 2.5.4-1ubuntu1 in focal i386
  php-horde-service-weather 2.5.4-1ubuntu1 in focal ppc64el
  php-horde-service-weather 2.5.4-1ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-service-urlshortener 2.0.3-4 in focal
  php-horde-service-urlshortener 2.0.3-4 in focal amd64
  php-horde-service-urlshortener 2.0.3-4 in focal arm64
  php-horde-service-urlshortener 2.0.3-4 in focal armhf
  php-horde-service-urlshortener 2.0.3-4 in focal i386
  php-horde-service-urlshortener 2.0.3-4 in focal ppc64el
  php-horde-service-urlshortener 2.0.3-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-service-twitter 2.1.6-4 in focal
  php-horde-service-twitter 2.1.6-4 in focal amd64
  php-horde-service-twitter 2.1.6-4 in focal arm64
  php-horde-service-twitter 2.1.6-4 in focal armhf
  php-horde-service-twitter 2.1.6-4 in focal i386
  php-horde-service-twitter 2.1.6-4 in focal ppc64el
  php-horde-service-twitter 2.1.6-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-kolab-server 2.0.5-6 in focal
  php-horde-kolab-server 2.0.5-6 in focal amd64
  php-horde-kolab-server 2.0.5-6 in focal arm64
  php-horde-kolab-server 2.0.5-6 in focal armhf
  php-horde-kolab-server 2.0.5-6 in focal i386
  php-horde-kolab-server 2.0.5-6 in focal ppc64el
  php-horde-kolab-server 2.0.5-6 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-service-gravatar 1.0.1-3ubuntu1 in focal
  php-horde-service-gravatar 1.0.1-3ubuntu1 in focal amd64
  php-horde-service-gravatar 1.0.1-3ubuntu1 in focal arm64
  php-horde-service-gravatar 1.0.1-3ubuntu1 in focal armhf
  php-horde-service-gravatar 1.0.1-3ubuntu1 in focal i386
  php-horde-service-gravatar 1.0.1-3ubuntu1 in focal ppc64el
  php-horde-service-gravatar 1.0.1-3ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-sesha 1.0.0~rc3-4 in focal
  php-horde-sesha 1.0.0~rc3-4 in focal amd64
  php-horde-sesha 1.0.0~rc3-4 in focal arm64
  php-horde-sesha 1.0.0~rc3-4 in focal armhf
  php-horde-sesha 1.0.0~rc3-4 in focal i386
  php-horde-sesha 1.0.0~rc3-4 in focal ppc64el
  php-horde-sesha 1.0.0~rc3-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-syncml 2.0.7-5 in focal
  php-horde-syncml 2.0.7-5 in focal amd64
  php-horde-syncml 2.0.7-5 in focal arm64
  php-horde-syncml 2.0.7-5 in focal armhf
  php-horde-syncml 2.0.7-5 in focal i386
  php-horde-syncml 2.0.7-5 in focal ppc64el
  php-horde-syncml 2.0.7-5 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-imp 6.2.21-1ubuntu2 in focal
  php-horde-imp 6.2.21-1ubuntu2 in focal amd64
  php-horde-imp 6.2.21-1ubuntu2 in focal arm64
  php-horde-imp 6.2.21-1ubuntu2 in focal armhf
  php-horde-imp 6.2.21-1ubuntu2 in focal i386
  php-horde-imp 6.2.21-1ubuntu2 in focal ppc64el
  php-horde-imp 6.2.21-1ubuntu2 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-ldap 2.4.0-1ubuntu1 in focal
  php-horde-ldap 2.4.0-1ubuntu1 in focal amd64
  php-horde-ldap 2.4.0-1ubuntu1 in focal arm64
  php-horde-ldap 2.4.0-1ubuntu1 in focal armhf
  php-horde-ldap 2.4.0-1ubuntu1 in focal i386
  php-horde-ldap 2.4.0-1ubuntu1 in focal ppc64el
  php-horde-ldap 2.4.0-1ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-service-facebook 2.0.10-4 in focal
  php-horde-service-facebook 2.0.10-4 in focal amd64
  php-horde-service-facebook 2.0.10-4 in focal arm64
  php-horde-service-facebook 2.0.10-4 in focal armhf
  php-horde-service-facebook 2.0.10-4 in focal i386
  php-horde-service-facebook 2.0.10-4 in focal ppc64el
  php-horde-service-facebook 2.0.10-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-lz4 1.0.10-2ubuntu4 in focal
  php-horde-lz4 1.0.10-2ubuntu4 in focal amd64
  php-horde-lz4 1.0.10-2ubuntu4 in focal arm64
  php-horde-lz4 1.0.10-2ubuntu4 in focal armhf
  php-horde-lz4 1.0.10-2ubuntu4 in focal ppc64el
  php-horde-lz4 1.0.10-2ubuntu4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-whups 3.0.12-4 in focal
  php-horde-whups 3.0.12-4 in focal amd64
  php-horde-whups 3.0.12-4 in focal arm64
  php-horde-whups 3.0.12-4 in focal armhf
  php-horde-whups 3.0.12-4 in focal i386
  php-horde-whups 3.0.12-4 in focal ppc64el
  php-horde-whups 3.0.12-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-mongo 1.1.0-4 in focal
  php-horde-mongo 1.1.0-4 in focal amd64
  php-horde-mongo 1.1.0-4 in focal arm64
  php-horde-mongo 1.1.0-4 in focal armhf
  php-horde-mongo 1.1.0-4 in focal i386
  php-horde-mongo 1.1.0-4 in focal ppc64el
  php-horde-mongo 1.1.0-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-imsp 2.0.10-4 in focal
  php-horde-imsp 2.0.10-4 in focal amd64
  php-horde-imsp 2.0.10-4 in focal arm64
  php-horde-imsp 2.0.10-4 in focal armhf
  php-horde-imsp 2.0.10-4 in focal i386
  php-horde-imsp 2.0.10-4 in focal ppc64el
  php-horde-imsp 2.0.10-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-ingo 3.2.16-1ubuntu1 in focal
  php-horde-ingo 3.2.16-1ubuntu1 in focal amd64
  php-horde-ingo 3.2.16-1ubuntu1 in focal arm64
  php-horde-ingo 3.2.16-1ubuntu1 in focal armhf
  php-horde-ingo 3.2.16-1ubuntu1 in focal i386
  php-horde-ingo 3.2.16-1ubuntu1 in focal ppc64el
  php-horde-ingo 3.2.16-1ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-spellchecker 2.1.3-3ubuntu1 in focal
  php-horde-spellchecker 2.1.3-3ubuntu1 in focal amd64
  php-horde-spellchecker 2.1.3-3ubuntu1 in focal arm64
  php-horde-spellchecker 2.1.3-3ubuntu1 in focal armhf
  php-horde-spellchecker 2.1.3-3ubuntu1 in focal i386
  php-horde-spellchecker 2.1.3-3ubuntu1 in focal ppc64el
  php-horde-spellchecker 2.1.3-3ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-openxchange 1.0.1-4 in focal
  php-horde-openxchange 1.0.1-4 in focal amd64
  php-horde-openxchange 1.0.1-4 in focal arm64
  php-horde-openxchange 1.0.1-4 in focal armhf
  php-horde-openxchange 1.0.1-4 in focal i386
  php-horde-openxchange 1.0.1-4 in focal ppc64el
  php-horde-openxchange 1.0.1-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-itip 2.1.2-2ubuntu1 in focal
  php-horde-itip 2.1.2-2ubuntu1 in focal amd64
  php-horde-itip 2.1.2-2ubuntu1 in focal arm64
  php-horde-itip 2.1.2-2ubuntu1 in focal armhf
  php-horde-itip 2.1.2-2ubuntu1 in focal i386
  php-horde-itip 2.1.2-2ubuntu1 in focal ppc64el
  php-horde-itip 2.1.2-2ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-oauth 2.0.4-4 in focal
  php-horde-oauth 2.0.4-4 in focal amd64
  php-horde-oauth 2.0.4-4 in focal arm64
  php-horde-oauth 2.0.4-4 in focal armhf
  php-horde-oauth 2.0.4-4 in focal i386
  php-horde-oauth 2.0.4-4 in focal ppc64el
  php-horde-oauth 2.0.4-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from focal:
 php-horde-wicked 2.0.8-1ubuntu1 in focal
  php-horde-wicked 2.0.8-1ubuntu1 in focal amd64
  php-horde-wicked 2.0.8-1ubuntu1 in focal arm64
  php-horde-wicked 2.0.8-1ubuntu1 in focal armhf
  php-horde-wicked 2.0.8-1ubuntu1 in focal i386
  php-horde-wicked 2.0.8-1ubuntu1 in focal ppc64el
  php-horde-wicked 2.0.8-1ubuntu1 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-groupware 5.2.22-4 in focal
  php-horde-groupware 5.2.22-4 in focal amd64
  php-horde-groupware 5.2.22-4 in focal arm64
  php-horde-groupware 5.2.22-4 in focal armhf
  php-horde-groupware 5.2.22-4 in focal i386
  php-horde-groupware 5.2.22-4 in focal ppc64el
  php-horde-groupware 5.2.22-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-memcache 2.1.1-4 in focal
  php-horde-memcache 2.1.1-4 in focal amd64
  php-horde-memcache 2.1.1-4 in focal arm64
  php-horde-memcache 2.1.1-4 in focal armhf
  php-horde-memcache 2.1.1-4 in focal i386
  php-horde-memcache 2.1.1-4 in focal ppc64el
  php-horde-memcache 2.1.1-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-scribe 2.0.3-4 in focal
  php-horde-scribe 2.0.3-4 in focal amd64
  php-horde-scribe 2.0.3-4 in focal arm64
  php-horde-scribe 2.0.3-4 in focal armhf
  php-horde-scribe 2.0.3-4 in focal i386
  php-horde-scribe 2.0.3-4 in focal ppc64el
  php-horde-scribe 2.0.3-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-trean 1.1.9-4 in focal
  php-horde-trean 1.1.9-4 in focal amd64
  php-horde-trean 1.1.9-4 in focal arm64
  php-horde-trean 1.1.9-4 in focal armhf
  php-horde-trean 1.1.9-4 in focal i386
  php-horde-trean 1.1.9-4 in focal ppc64el
  php-horde-trean 1.1.9-4 in focal s390x
Comment: horde tests fail with php7.4; LP: #1868281
1 package successfully removed.

Bryce Harrington (bryce) wrote :

Here's an updated list of

$ apt-cache policy "php-horde-*" | grep "^[a-z]" | cut -d: -f1 > my-packages.txt
$ cat my-packages.txt | ./dependency-tree

### Dependency Level 0 ###
php-horde-argv
php-horde-crypt
php-horde-gollem
php-horde-kolab-format
php-horde-kronolith
php-horde-mail-autoconfig
php-horde-mapi
php-horde-mnemo
php-horde-nag
php-horde-queue
php-horde-role
php-horde-routes
php-horde-rpc
php-horde-scheduler
php-horde-smtp
php-horde-text-diff
php-horde-thrift
php-horde-timeobjects
php-horde-timezone
php-horde-tree
php-horde-turba
php-horde-vfs
php-horde-xml-element
php-horde-xml-wbxml

### Dependency Level 1 ###
php-horde-content
php-horde-date-parser
php-horde-dav
php-horde-editor
php-horde-form
php-horde-http
php-horde-image
php-horde-imap-client
php-horde-rdo
php-horde-socket-client

### Dependency Level 2 ###
php-horde-core
php-horde-cssminify
php-horde-css-parser
php-horde-data
php-horde-hashtable
php-horde-history
php-horde-icalendar
php-horde-javascriptminify
php-horde-lock
php-horde-logintasks
php-horde-mime-viewer
php-horde-notification
php-horde-pack
php-horde-prefs
php-horde-secret
php-horde-serialize
php-horde-sessionhandler
php-horde-share
php-horde-template
php-horde-text-filter
php-horde-token
php-horde-url
php-horde-view

### Dependency Level 3 ###
php-horde-alarm
php-horde-auth
php-horde-autoloader
php-horde-browser
php-horde-cache
php-horde-cli
php-horde-compress
php-horde-compress-fast
php-horde-controller
php-horde-crypt-blowfish
php-horde-injector
php-horde-log
php-horde-mime
php-horde-perms
php-horde-stream
php-horde-text-flowed

### Dependency Level 4 ###
php-horde-constraint
php-horde-db
php-horde-group
php-horde-listheaders
php-horde-mail
php-horde-stream-filter
php-horde-support

### Dependency Level 5 ###
php-horde-date
php-horde-idna
php-horde-nls
php-horde-stream-wrapper
php-horde-util

### Dependency Level 6 ###
php-horde-exception
php-horde-translation

Stéphane Graber (stgraber) wrote :
Download full text (40.9 KiB)

stgraber@castiana:~/data/code/ubuntu-archive/ubuntu-archive-tools$ for i in $(cat ~/removal/list); do ./remove-package -m "tests fail with php7.4, removal of php-horde stack. LP: #1868281" -s focal $i -y; done
Removing packages from focal:
 php-horde-argv 2.1.0-1ubuntu1 in focal
  php-horde-argv 2.1.0-1ubuntu1 in focal amd64
  php-horde-argv 2.1.0-1ubuntu1 in focal arm64
  php-horde-argv 2.1.0-1ubuntu1 in focal armhf
  php-horde-argv 2.1.0-1ubuntu1 in focal i386
  php-horde-argv 2.1.0-1ubuntu1 in focal ppc64el
  php-horde-argv 2.1.0-1ubuntu1 in focal s390x
Comment: tests fail with php7.4, removal of php-horde stack. LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-crypt 2.7.12-2 in focal
  php-horde-crypt 2.7.12-2 in focal amd64
  php-horde-crypt 2.7.12-2 in focal arm64
  php-horde-crypt 2.7.12-2 in focal armhf
  php-horde-crypt 2.7.12-2 in focal i386
  php-horde-crypt 2.7.12-2 in focal ppc64el
  php-horde-crypt 2.7.12-2 in focal s390x
Comment: tests fail with php7.4, removal of php-horde stack. LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-gollem 3.0.12-4 in focal
  php-horde-gollem 3.0.12-4 in focal amd64
  php-horde-gollem 3.0.12-4 in focal arm64
  php-horde-gollem 3.0.12-4 in focal armhf
  php-horde-gollem 3.0.12-4 in focal i386
  php-horde-gollem 3.0.12-4 in focal ppc64el
  php-horde-gollem 3.0.12-4 in focal s390x
Comment: tests fail with php7.4, removal of php-horde stack. LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-kolab-format 2.0.9-1ubuntu1 in focal
  php-horde-kolab-format 2.0.9-1ubuntu1 in focal amd64
  php-horde-kolab-format 2.0.9-1ubuntu1 in focal arm64
  php-horde-kolab-format 2.0.9-1ubuntu1 in focal armhf
  php-horde-kolab-format 2.0.9-1ubuntu1 in focal i386
  php-horde-kolab-format 2.0.9-1ubuntu1 in focal ppc64el
  php-horde-kolab-format 2.0.9-1ubuntu1 in focal s390x
Comment: tests fail with php7.4, removal of php-horde stack. LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-kronolith 4.2.23-1ubuntu2 in focal
  php-horde-kronolith 4.2.23-1ubuntu2 in focal amd64
  php-horde-kronolith 4.2.23-1ubuntu2 in focal arm64
  php-horde-kronolith 4.2.23-1ubuntu2 in focal armhf
  php-horde-kronolith 4.2.23-1ubuntu2 in focal i386
  php-horde-kronolith 4.2.23-1ubuntu2 in focal ppc64el
  php-horde-kronolith 4.2.23-1ubuntu2 in focal s390x
Comment: tests fail with php7.4, removal of php-horde stack. LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-mail-autoconfig 1.0.3-5 in focal
  php-horde-mail-autoconfig 1.0.3-5 in focal amd64
  php-horde-mail-autoconfig 1.0.3-5 in focal arm64
  php-horde-mail-autoconfig 1.0.3-5 in focal armhf
  php-horde-mail-autoconfig 1.0.3-5 in focal i386
  php-horde-mail-autoconfig 1.0.3-5 in focal ppc64el
  php-horde-mail-autoconfig 1.0.3-5 in focal s390x
Comment: tests fail with php7.4, removal of php-horde stack. LP: #1868281
1 package successfully removed.
Removing packages from focal:
 php-horde-mapi 1.0.8-2ubuntu2 in focal
  php-horde-mapi 1.0.8-2ubuntu2 in focal amd64
  php-horde-mapi 1.0.8-2ubuntu2 in focal arm64
  php-hor...

Changed in php-horde (Ubuntu):
status: New → Fix Released
Changed in php-horde (Ubuntu Focal):
status: New → Fix Released
Changed in php-horde (Ubuntu):
status: Fix Released → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in php-horde (Ubuntu):
status: New → Confirmed

php-horde is back in groovy and still triggering the same issues.
See https://bugs.launchpad.net/ubuntu/+source/php-horde/+bug/1881883

After a short discussion [1] with Bryce who looks at php* more often it became clear that this should be removed (again).

I wanted to ask if there is something we can do in addition to block re-auto-syncing?

[1]: https://lists.ubuntu.com/archives/ubuntu-devel/2020-June/041052.html

In addition to the removal, for the sync-block per [1] I'd want to ask to accepted these [2] changes.
Since the repo lp:~ubuntu-archive/+junk/sync-blacklist is under +junk I can't open a "normal" MP.

[1]: https://wiki.ubuntu.com/ArchiveAdministration#Blacklisting
[2]: https://bazaar.launchpad.net/~paelzer/+junk/sync-blacklist-php-horde-groovy/revision/759

Changed in php-horde (Ubuntu):
assignee: nobody → Łukasz Zemczak (sil2100)
status: Confirmed → In Progress
Łukasz Zemczak (sil2100) wrote :

I will be re-removing the php-horde-* packages, using the blacklist package list as reference.

Łukasz Zemczak (sil2100) wrote :

The following packages made it to the release pocket and will be removed along with all the others:

php-horde-mongo 1.1.0-5 in groovy
php-horde-queue 1.1.5-5 in groovy
php-horde-role 1.0.1-16 in groovy
php-horde-scribe 2.0.3-5 in groovy
php-horde-template 2.0.3-8 in groovy
php-horde-thrift 2.0.3-5 in groovy
php-horde-util 2.5.8-5 in groovy

Łukasz Zemczak (sil2100) wrote :
Download full text (55.1 KiB)

$ for i in $(cat removal-list); do remove-package -s groovy-proposed -m "Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)" $i -y; done
Removing packages from groovy-proposed:
 php-horde 5.2.21+debian1-1 in groovy
  php-horde 5.2.21+debian1-1 in groovy amd64
  php-horde 5.2.21+debian1-1 in groovy arm64
  php-horde 5.2.21+debian1-1 in groovy armhf
  php-horde 5.2.21+debian1-1 in groovy i386
  php-horde 5.2.21+debian1-1 in groovy ppc64el
  php-horde 5.2.21+debian1-1 in groovy riscv64
  php-horde 5.2.21+debian1-1 in groovy s390x
Comment: Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)
1 package successfully removed.
Removing packages from groovy-proposed:
 php-horde-alarm 2.2.10-6 in groovy
  php-horde-alarm 2.2.10-6 in groovy amd64
  php-horde-alarm 2.2.10-6 in groovy arm64
  php-horde-alarm 2.2.10-6 in groovy armhf
  php-horde-alarm 2.2.10-6 in groovy i386
  php-horde-alarm 2.2.10-6 in groovy ppc64el
  php-horde-alarm 2.2.10-6 in groovy riscv64
  php-horde-alarm 2.2.10-6 in groovy s390x
Comment: Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)
1 package successfully removed.
Removing packages from groovy-proposed:
 php-horde-argv 2.1.0-5 in groovy
  php-horde-argv 2.1.0-5 in groovy amd64
  php-horde-argv 2.1.0-5 in groovy arm64
  php-horde-argv 2.1.0-5 in groovy armhf
  php-horde-argv 2.1.0-5 in groovy i386
  php-horde-argv 2.1.0-5 in groovy ppc64el
  php-horde-argv 2.1.0-5 in groovy riscv64
  php-horde-argv 2.1.0-5 in groovy s390x
Comment: Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)
1 package successfully removed.
Removing packages from groovy-proposed:
 php-horde-auth 2.2.2-6 in groovy
  php-horde-auth 2.2.2-6 in groovy amd64
  php-horde-auth 2.2.2-6 in groovy arm64
  php-horde-auth 2.2.2-6 in groovy armhf
  php-horde-auth 2.2.2-6 in groovy i386
  php-horde-auth 2.2.2-6 in groovy ppc64el
  php-horde-auth 2.2.2-6 in groovy riscv64
  php-horde-auth 2.2.2-6 in groovy s390x
Comment: Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)
1 package successfully removed.
Removing packages from groovy-proposed:
 php-horde-autoloader 2.1.2-8 in groovy
  php-horde-autoloader 2.1.2-8 in groovy amd64
  php-horde-autoloader 2.1.2-8 in groovy arm64
  php-horde-autoloader 2.1.2-8 in groovy armhf
  php-horde-autoloader 2.1.2-8 in groovy i386
  php-horde-autoloader 2.1.2-8 in groovy ppc64el
  php-horde-autoloader 2.1.2-8 in groovy riscv64
  php-horde-autoloader 2.1.2-8 in groovy s390x
Comment: Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)
1 package successfully removed.
Removing packages from groovy-proposed:
 php-horde-browser 2.0.16-3 in groovy
  php-horde-browser 2.0.16-3 in groovy amd64
  php-horde-browser 2.0.16-3 in groovy arm64
  php-horde-browser 2.0.16-3 in groovy armhf
  php-horde-browser 2.0.16-3 in groovy i386
  php-horde-browser 2.0.16-3 in groovy ppc64el
  php-horde-browser 2.0.16-3 in groovy riscv64
  php-horde-browser 2.0.16-3 in groovy s390x
Comment: Triggers lots of test failures...

Łukasz Zemczak (sil2100) wrote :
Download full text (3.6 KiB)

And for the release pocket packages:

$ for i in $(cat removal-in-release); do remove-package -s groovy -m "Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)" $i -y; done
Removing packages from groovy:
 php-horde-mongo 1.1.0-5 in groovy
  php-horde-mongo 1.1.0-5 in groovy amd64
  php-horde-mongo 1.1.0-5 in groovy arm64
  php-horde-mongo 1.1.0-5 in groovy armhf
  php-horde-mongo 1.1.0-5 in groovy i386
  php-horde-mongo 1.1.0-5 in groovy ppc64el
  php-horde-mongo 1.1.0-5 in groovy riscv64
  php-horde-mongo 1.1.0-5 in groovy s390x
Comment: Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)
1 package successfully removed.
Removing packages from groovy:
 php-horde-queue 1.1.5-5 in groovy
  php-horde-queue 1.1.5-5 in groovy amd64
  php-horde-queue 1.1.5-5 in groovy arm64
  php-horde-queue 1.1.5-5 in groovy armhf
  php-horde-queue 1.1.5-5 in groovy i386
  php-horde-queue 1.1.5-5 in groovy ppc64el
  php-horde-queue 1.1.5-5 in groovy riscv64
  php-horde-queue 1.1.5-5 in groovy s390x
Comment: Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)
1 package successfully removed.
Removing packages from groovy:
 php-horde-role 1.0.1-16 in groovy
  php-horde-role 1.0.1-16 in groovy amd64
  php-horde-role 1.0.1-16 in groovy arm64
  php-horde-role 1.0.1-16 in groovy armhf
  php-horde-role 1.0.1-16 in groovy i386
  php-horde-role 1.0.1-16 in groovy ppc64el
  php-horde-role 1.0.1-16 in groovy riscv64
  php-horde-role 1.0.1-16 in groovy s390x
Comment: Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)
1 package successfully removed.
Removing packages from groovy:
 php-horde-scribe 2.0.3-5 in groovy
  php-horde-scribe 2.0.3-5 in groovy amd64
  php-horde-scribe 2.0.3-5 in groovy arm64
  php-horde-scribe 2.0.3-5 in groovy armhf
  php-horde-scribe 2.0.3-5 in groovy i386
  php-horde-scribe 2.0.3-5 in groovy ppc64el
  php-horde-scribe 2.0.3-5 in groovy riscv64
  php-horde-scribe 2.0.3-5 in groovy s390x
Comment: Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)
1 package successfully removed.
Removing packages from groovy:
 php-horde-template 2.0.3-8 in groovy
  php-horde-template 2.0.3-8 in groovy amd64
  php-horde-template 2.0.3-8 in groovy arm64
  php-horde-template 2.0.3-8 in groovy armhf
  php-horde-template 2.0.3-8 in groovy i386
  php-horde-template 2.0.3-8 in groovy ppc64el
  php-horde-template 2.0.3-8 in groovy riscv64
  php-horde-template 2.0.3-8 in groovy s390x
Comment: Triggers lots of test failures, currently non-actionable, removing once again (LP: #1881883)
1 package successfully removed.
Removing packages from groovy:
 php-horde-thrift 2.0.3-5 in groovy
  php-horde-thrift 2.0.3-5 in groovy amd64
  php-horde-thrift 2.0.3-5 in groovy arm64
  php-horde-thrift 2.0.3-5 in groovy armhf
  php-horde-thrift 2.0.3-5 in groovy i386
  php-horde-thrift 2.0.3-5 in groovy ppc64el
  php-horde-thrift 2.0.3-5 in groovy riscv64
  php-horde-thrift 2.0.3-5 in groovy s390x
Comment: Triggers lots of test failures, currently non-actionable, removing once again (LP: #18818...

Read more...

Changed in php-horde (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers